---
schema_version: "1"
id: ea6b0f78234e1b4819ac79558a63bd30d50afbcea7aee5c3b1527173abb44763
title: Enterprise Product Catalog (EPC) REST APIs
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/references/generated-api-specs/epc.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/references/epc
source_site: developer.salesforce.com
content_type: documentation
content_hash: d328bb955028d7c557112a071c83160a3afb181e01d582854cf1445a548c7a67
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
Enterprise Product Catalog (EPC) REST APIs

# Enterprise Product Catalog (EPC) REST APIs

This document contains request and response description for Enterprise Product Catalog Admin API.

**Version:** 2

Contact: apiteam@salesforce.com

License: V2.0

Terms of service: http://www.salesforce.com

## Servers

*   `https://xx##.salesforce.com/services/apexrest/vlocity_cmt/v2/epc`

## Operations

### PUT Update an existing product

`PUT /products`

Operation ID: `Update Product`. Tags: Products.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update Product Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id":"01t3h000001dbgvAAA",
      "vlocity_cmt__VersionStartDateTime__c":"2020-09-01 00:00:00",
      "vlocity_cmt__VersionLabel__c": "V1.0"
    }
  }
}
```

In the above example few fields is populated, but any number of field of Product2 can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a product

`POST /products`

Operation ID: `Create a product`. Tags: Products.

Creates a products based on request body.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create Product Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Name": "Product - 0001",
      "ProductCode": "Product - 0001",
      "IsActive": true,
      "Description": "The product discription",
      "vlocity_cmt__SpecificationType__c": "Offer",
      "vlocity_cmt__SpecificationSubType__c": "Simple"
      "vlocity_cmt__VersionLabel__c": "V1.0"
    }
  }
}
```

In the above example few fields is populated, but any number of field of Product2 can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds Product by product Id

`GET /products/{productId}`

Operation ID: `Find Product By ID`. Tags: Products.

Finds Product by product Id

#### Parameters

*   `productId` (path, string, required) Product id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes Products by product Id

`DELETE /products/{productId}`

Operation ID: `Delete Product By ID`. Tags: Products.

Deletes Products by product Id

#### Parameters

*   `productId` (path, string, required) Product id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### GET Get version product

`GET /products/{productId}/versions`

Operation ID: `Get Version Product`. Tags: Products.

Get version product

#### Parameters

*   `productId` (path, string, required) Product Id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### POST Create version product

`POST /products/{productId}/versions`

Operation ID: `Create version product`. Tags: Products.

Create version product

#### Parameters

*   `productId` (path, array of string, required) Product Id

#### Request body (required)

#### Create version product Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id": "product id",
      "vlocity_cmt__VersionLabel__c": "V2.0",
      "vlocity_cmt__VersionStartDateTime__c":"2020-09-01 00:00:00",
      "vlocity_cmt__VersionEndDateTime__c" : "2021-09-01 00:00:00"
    }
  }
}
```

Create version product takes only three field where VersionLabel\_\_c is mandatory.

Media type: `application/json`. Schema: `EPCRequestSingleUpdate`.

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### PUT Update an existing picklist

`PUT /picklists`

Operation ID: `Update picklist`. Tags: Picklists.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update Picklist Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id": "picklist id" 
      "Name": "NewPicklist-01",
      "vlocity_cmt__Code__c": "NewPicklist-01",
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

In the above example few fields is populated, but any number of field of Picklist\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestMultiUpdate | EPCRequestSingleUpdate`.

One of: `EPCRequestMultiUpdate`, `EPCRequestSingleUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a picklist

`POST /picklists`

Operation ID: `Create a picklist`. Tags: Picklists.

Creates a picklist based on request body.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create Picklist Request Example

```json
{
  "epcRequest": {
   "entity": {
      "Name": "Demo-Picklist-05",
      "vlocity_cmt__Code__c": "Demo-Picklist-05",
      "vlocity_cmt__VersionLabel__c": "Version-1",
      "vlocity_cmt__DataType__c": "Text",
      "vlocity_cmt__LifecycleStatus__c": "Draft",
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

In the above example few fields is populated, but any number of field of Picklist\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate | EPCRequestMultiCreate`.

One of: `EPCRequestSingleCreate`, `EPCRequestMultiCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds picklist by picklist Id

`GET /picklists/{picklistId}`

Operation ID: `Find picklist`. Tags: Picklists.

Finds picklist by picklist Id

#### Parameters

*   `picklistId` (path, string, required) Picklist id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes Picklist by picklsit Id

`DELETE /picklists/{picklistId}`

Operation ID: `Deletes Picklist`. Tags: Picklists.

Deletes Picklist by picklsit Id

#### Parameters

*   `picklistId` (path, string, required) Picklist Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### GET Get version picklist

`GET /picklists/{picklistId}/versions`

Operation ID: `Get version picklist`. Tags: Picklists.

Get version picklist

#### Parameters

*   `picklistId` (path, string, required) Picklist id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### POST Create version picklist

`POST /picklists/{picklistId}/versions`

Operation ID: `Create version picklist`. Tags: Picklists.

Create version picklist

#### Parameters

*   `picklistId` (path, string, required) Picklist Id

#### Request body (required)

#### Create version picklist Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id": "picklist id",
      "vlocity_cmt__VersionLabel__c": "V2.0",
      "vlocity_cmt__VersionStartDateTime__c":"2020-09-01 00:00:00",
      "vlocity_cmt__VersionEndDateTime__c" : "2021-09-01 00:00:00"
    }
  }
}
```

Media type: `application/json`. Schema: `EPCRequestSingleUpdate`.

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### PUT Update an existing picklist item

`PUT /picklists/{picklistId}/items`

Operation ID: `Update picklist item`. Tags: Picklist Items.

Update an existing picklist item

#### Parameters

*   `picklistId` (path, string, required) Picklist Id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update picklist item Request Example

```json
{
  "epcRequest": {
   "entity": {
      "Id": "Picklist item Id",
      "vlocity_cmt__TextValue__c": "Bangalore",
      "vlocity_cmt__Sequence__c": 1,
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

In the above example few fields is populated, but any number of field of PicklistValue\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleUpdate | EPCRequestMultiUpdate`.

One of: `EPCRequestSingleUpdate`, `EPCRequestMultiUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a picklist item

`POST /picklists/{picklistId}/items`

Operation ID: `Create a picklist item`. Tags: Picklist Items.

Creates a picklist item based on request body.

#### Parameters

*   `picklistId` (path, string, required) Picklist id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create picklist item Request Example

```json
{
  "epcRequest": {
   "entity": {
      "Name": "Bangalore",
      "vlocity_cmt__TextValue__c": "Bangalore",
      "vlocity_cmt__Code__c": "Bangalore",
      "vlocity_cmt__Abbreviation__c": "Bangalore",
      "vlocity_cmt__Sequence__c": 1,
      "vlocity_cmt__IsActive__c": true,
      "vlocity_cmt__PicklistId__c": "a2u4T000003xGYQQA2"
    }
  }
}
```

In the above example few fields is populated, but any number of field of PicklistValue\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate | EPCRequestMultiCreate`.

One of: `EPCRequestSingleCreate`, `EPCRequestMultiCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds picklist item by picklist Id and picklist item id

`GET /picklists/{picklistId}/items/{picklisitemId}`

Operation ID: `Finds picklist item by ID`. Tags: Picklist Items.

Finds picklist item by product Id and picklist item id

#### Parameters

*   `picklistId` (path, string, required) Picklist Id
*   `picklisitemId` (path, string, required) Picklist item Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes picklist item by picklist item Id

`DELETE /picklists/{picklistId}/items/{picklisitemId}`

Operation ID: `Delete picklist item by ID`. Tags: Picklist Items.

Deletes picklist item by picklist item Id

#### Parameters

*   `picklisitemId` (path, string, required) Picklist item Id
*   `picklistId` (path, string, required) Picklist Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### PUT Update an existing promotion

`PUT /promotions`

Operation ID: `Update promotion`. Tags: Promotions.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update promotion Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id": "Promotion Id",
      Name": "Promotion-3",
      "vlocity_cmt__PriceListId__c": "a343h000001ACXFAA4",
      "vlocity_cmt__Code__c": "Promotion-3",
      "vlocity_cmt__Description__c": "Promotion-3",
      "vlocity_cmt__IsOrderable__c": true,
      "vlocity_cmt__EnableAutoAddProducts__c": false,
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

In the above example few fields is populated, but any number of field of Promotiont\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestMultiUpdate | EPCRequestSingleUpdate`.

One of: `EPCRequestMultiUpdate`, `EPCRequestSingleUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a promotion

`POST /promotions`

Operation ID: `Create a promotion`. Tags: Promotions.

Creates a promotion based on request body.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create product Request Example

```json
{
  "epcRequest": {
    "entity": {
      Name": "Promotion-3",
      "vlocity_cmt__PriceListId__c": "a343h000001ACXFAA4",
      "vlocity_cmt__Code__c": "Promotion-3",
      "vlocity_cmt__Description__c": "Promotion-3",
      "vlocity_cmt__IsOrderable__c": true,
      "vlocity_cmt__EnableAutoAddProducts__c": false,
      "vlocity_cmt__IsActive__c": true
    }
  }
}
```

In the above example few fields is populated, but any number of field of Promotion\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds promotion by promotion Id

`GET /promotions/{promotionId}`

Operation ID: `Find promotion`. Tags: Promotions.

Finds promotion by promotion Id

#### Parameters

*   `promotionId` (path, string, required) promotion Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes Promotion by promotion Id

`DELETE /promotions/{promotionId}`

Operation ID: `Delete Promotion`. Tags: Promotions.

Deletes Promotion by promotion Ids

#### Parameters

*   `promotionId` (path, string, required) Promotion Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### PUT Update promotion item

`PUT /promotions/{promotionId}/items`

Operation ID: `Update promotion item`. Tags: Promotion Items.

#### Parameters

*   `promotionId` (path, string, required) Promotion Id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update promotion item Request Example

```json
{
  "epcRequest": {
    "entity": {
      "Id": "Promotion item Id",
      "vlocity_cmt__PromotionId__c": "a3K3h0000006Ae0EAE",
      "vlocity_cmt__Description__c": "",
      "vlocity_cmt__ProductId__c": "01t3h000002TMciAAG",
      "vlocity_cmt__IsActive__c": true,
      "vlocity_cmt__ActionType__c": "Add",
      "vlocity_cmt__MaxQuantity__c": 10,
      "vlocity_cmt__MinQuantity__c": 1,
      "vlocity_cmt__Quantity__c": 1,
      "vlocity_cmt__UpdateScope__c": "Update Item Only",
    }
  }
}
```

In the above example few fields is populated, but any number of field of PromotiontItem\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestMultiUpdate | EPCRequestSingleUpdate`.

One of: `EPCRequestMultiUpdate`, `EPCRequestSingleUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a promotion item

`POST /promotions/{promotionId}/items`

Operation ID: `Create a promotion item`. Tags: Promotion Items.

Creates a promotion item based on request body.

#### Parameters

*   `promotionId` (path, string, required) Promotion Id
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create promotion item Request Example

```json
{
  "epcRequest": {
    "entity": {
      "vlocity_cmt__PromotionId__c": "a3K3h0000006Ae0EAE",
      "vlocity_cmt__Description__c": "",
      "vlocity_cmt__ProductId__c": "01t3h000002TMciAAG",
      "vlocity_cmt__IsActive__c": true,
      "vlocity_cmt__ActionType__c": "Add",
      "vlocity_cmt__MaxQuantity__c": 10,
      "vlocity_cmt__MinQuantity__c": 1,
      "vlocity_cmt__Quantity__c": 1,
      "vlocity_cmt__UpdateScope__c": "Update Item Only",
      "vlocity_cmt__ContextProductId__c": ""
    }
  }
}
```

In the above example few fields is populated, but any number of field of PromotionItem\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate | EPCRequestMultiCreate`.

One of: `EPCRequestSingleCreate`, `EPCRequestMultiCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds promotion item by promotion Id and promotion item id

`GET /promotions/{promotionId}/items/{promotionitemId}`

Operation ID: `Find promotion item by ID`. Tags: Promotion Items.

Finds promotion item by promotion Id and promotion item id

#### Parameters

*   `promotionId` (path, string, required) Promotion Id
*   `promotionitemId` (path, string, required) Promotion item Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes promotion item by promotion item Id

`DELETE /promotions/{promotionId}/items/{promotionitemId}`

Operation ID: `Delete promotion item by ID`. Tags: Promotion Items.

Deletes promotion item by promotion item Id

#### Parameters

*   `promotionitemId` (path, string, required) Promotion item Id
*   `promotionId` (path, string, required) Promotion Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### PUT Update an existing product child item

`PUT /productchilditems`

Operation ID: `Update product child item`. Tags: Product Child Items.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Update product child item Request Example

```json
{
  "epcRequest": {
   "entity": {
      "vlocity_cmt__ParentProductId__c": "01t3h000002TDJQAA4",
      "vlocity_cmt__ChildProductId__c": "01t3h000002Stj3AAC",
      "vlocity_cmt__RelationshipType__c": "Child",
      "vlocity_cmt__ChildLineNumber__c": "1"
    }
  }
}
```

In the above example few fields is populated, but any number of field of ProductChildItem\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleUpdate | EPCRequestMultiUpdate`.

One of: `EPCRequestSingleUpdate`, `EPCRequestMultiUpdate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **400** Invalid ID supplied
*   **405** Validation exception

### POST Create a product child item

`POST /productchilditems`

Operation ID: `Create a product child item`. Tags: Product Child Items.

Creates a product child item based on request body.

#### Parameters

*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Request body (required)

#### Create product child item Request Example

```json
{
  "epcRequest": {
   "entity": {
      "vlocity_cmt__ParentProductId__c": "01t3h000002TDJQAA4",
      "vlocity_cmt__ChildProductId__c": "01t3h000002Stj3AAC",
      "vlocity_cmt__RelationshipType__c": "Child",
      "vlocity_cmt__ChildLineNumber__c": "1"
    }
  }
}
```

In the above example few fields is populated, but any number of field of ProductChildItem\_\_c can be populated as and when it needed.

Media type: `application/json`. Schema: `EPCRequestSingleCreate | EPCRequestMultiCreate`.

One of: `EPCRequestSingleCreate`, `EPCRequestMultiCreate`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `EPCResponse`.
    
*   **405** Invalid input

### GET Finds product child item by id

`GET /productchilditems/{productChildItemId}`

Operation ID: `Find product child item by ID`. Tags: Product Child Items.

Finds product child item by id

#### Parameters

*   `productChildItemId` (path, string, required) Product Child Item Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids
*   `fields` (query, array of string, style: form, explode: false) Fields to return in response
*   `includeInResponse` (query, array of string, style: form, explode: false) Additional information to return in response

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

### DELETE Deletes product child item by Id

`DELETE /productchilditems/{productChildItemId}`

Operation ID: `Delete product child item by ID`. Tags: Product Child Items.

Deletes product child item by Id

#### Parameters

*   `productChildItemId` (path, string, required) Product Child Item Id
*   `ids` (query, array of string, style: form, explode: false) Comma separated multiple ids

#### Responses

*   **200** successful operation
    
    Media type: `application/json`. Schema: `array of EPCResponse`.
    
    Array of `EPCResponse`.
    
*   **400** Invalid status value

## Schemas

### EPCRequestSingleUpdate

*   `epcRequest` (_object_)
    *   `entity` (_entity_)

### EPCResponse

*   `epcResponse` (_object_)
    *   `entities` (_array of responseEntity_)
    *   `pageInfo` (_pageInfo_)
    *   `overallResult` (_string_) Overall result  
        Allowed values: `success`, `failure`, `timeout`, `parsingError`, `validationError`, `missingMandatoryData`.
    *   `warningMessage` (_array of string_)

### EPCRequestSingleCreate

*   `epcRequest` (_object_)
    *   `entity` (_createEntity_)

### EPCRequestMultiUpdate

*   `epcRequest` (_object_)
    *   `entities` (_array of requestEntitiesUpdate_)

### EPCRequestMultiCreate

*   `epcRequest` (_object_)
    *   `entities` (_array of requestEntities_)

### entity

*   `id` (_string_)
*   `name` (_string_)

### responseEntity

*   `entity` (_entity_)
*   `hierarchy` (_hierarchy_)
*   `supplimentryEntity` (_array of entity_)

### pageInfo

*   `currentPage` (_integer_)
*   `totalPages` (_integer_)
*   `pageSize` (_integer_)
*   `totalCount` (_integer_)

### createEntity

*   `name` (_string_)

### requestEntitiesUpdate

*   `entity` (_entity_)

### requestEntities

*   `entity` (_createEntity_)

### hierarchy

*   `chidren` (_array of hierarchy_)
*   `PCI` (_entity_)
*   `entity` (_entity_)